/*
* demo.css
* File include item demo only specific css only
******************************************************************************/
.form-group {
  margin-bottom: 0;
  padding: 10px;
}
/*    Input Icon */
.input-icon {
  position: relative; }
  .input-icon .form-control:not(:first-child) {
    padding-left: 2.5rem; }
  .input-icon .form-control:not(:last-child) {
    padding-right: 2.5rem; }
  .input-icon .input-icon-addon {
    position: absolute;
    left: 1rem;
    top: 0;
    height: 100%;
    display: flex;
    align-items: center; }
    .input-icon .input-icon-addon:last-child {
      left: auto;
      right: 1rem; 
    }
    
.btn-link {
  border: 0 !important;
  background: 0 0 !important;
}
.btn-label-primary:disabled, .btn-label-primary:focus, .btn-label-primary:hover {
  background: #1572e8;
  color: #fff !important;
  opacity: 1;
}
.btn-round {
  border-radius: 100px !important;
}
/* .btn {
  padding: .65rem 1.4rem;
  font-size: 1rem;
  font-weight: 500;
  opacity: 1;
  border-radius: 3px;
} */
.btn-border.btn-primary {
  color: #1572e8 !important;
  border: 1px solid #1572e8 !important;
}
.btn-border {
  background: 0 0 !important;
}

/* .btn-sm {
  font-size: 11px;
  padding: 7px 13px;
} */
.btn-link.btn-danger {
  color: #f25961 !important;
}

.btn-link.btn-primary {
  color: #1572e8 !important;
}
.btn-lg {
  font-size: 15px;
  border-radius: 6px;
  padding: 12.5px 27.5px;
  font-weight: 400;
}
.alert, .brand, .btn-simple, .h1, .h2, .h3, .h4, .h5, .h6, .navbar, .td-name, a, body, button.close, h1, h2, h3, h4, h5, h6, p, td {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: 'Public Sans', sans-serif;
}
.form-button-action {
  display: inline-flex; 
}

.swal-footer {
  text-align: center !important;
  margin-bottom: 20px !important
}

.menu .app-brand.demo {
    height: 64px;
    margin-top: 12px;
  }
  
  .app-brand-logo.demo svg {
    width: 22px;
    height: 38px;
  }
  
  .app-brand-text.demo {
    font-size: 1.75rem;
    letter-spacing: -0.5px;
  }
  
  /* ! For .layout-navbar-fixed added fix padding top to .layout-page */
  /* Detached navbar */
  .layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
    padding-top: 74px !important;
  }
  /* Default navbar */
  .layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
    padding-top: 64px !important;
  }
  .docs-page .layout-navbar-fixed.layout-wrapper:not(.layout-without-menu) .layout-page,
  .docs-page .layout-menu-fixed.layout-wrapper:not(.layout-without-menu) .layout-page {
    padding-top: 62px !important;
  }
  
  /* Navbar page z-index issue solution */
  .content-wrapper .navbar {
    z-index: auto;
  }
  
  /*
  * Content
  ******************************************************************************/
  
  .demo-blocks > * {
    display: block !important;
  }
  
  .demo-inline-spacing > * {
    margin: 1rem 0.375rem 0 0 !important;
  }
  
  /* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
  .demo-vertical-spacing > * {
    margin-top: 1rem !important;
    margin-bottom: 0 !important;
  }
  .demo-vertical-spacing.demo-only-element > :first-child {
    margin-top: 0 !important;
  }
  
  .demo-vertical-spacing-lg > * {
    margin-top: 1.875rem !important;
    margin-bottom: 0 !important;
  }
  .demo-vertical-spacing-lg.demo-only-element > :first-child {
    margin-top: 0 !important;
  }
  
  .demo-vertical-spacing-xl > * {
    margin-top: 5rem !important;
    margin-bottom: 0 !important;
  }
  .demo-vertical-spacing-xl.demo-only-element > :first-child {
    margin-top: 0 !important;
  }
  
  /* Dropdown buttons going out of small screens */
  @media (max-width: 576px) {
    #dropdown-variation-demo .btn-group .text-truncate {
      width: 231px;
      position: relative;
    }
    #dropdown-variation-demo .btn-group .text-truncate::after {
      position: absolute;
      top: 45%;
      right: 0.65rem;
    }
  }
  
  /*
  * Layout demo
  ******************************************************************************/
  
  .layout-demo-wrapper {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    margin-top: 1rem;
  }
  .layout-demo-placeholder img {
    width: 900px;
  }
  .layout-demo-info {
    text-align: center;
    margin-top: 1rem;
  }
  